Wordpress плъгини - съвместимост при актуализация

Помощен център

Wordpress плъгини - съвместимост при актуализация

Плъгините са най-лесния и бърз начин за добавяне на нова функционалност към вашия WordPress сайт, да подобрите неговия вид, да го персонализирате и дори да оптимизирате неговото съдържание за получаване на по-високо класиране от търсещите машини.

Понякога обаче плъгините стават предпоставка за WordPress уязвимост, хакерска атака или се проявяват различни видове проблеми свързани с тяхното използване.

Какво трябва да имате предвид, когато инсталирате един плъгин в WordPress?

Много често плъгините не са съвместими с други плъгини или си пречат с активната WordPress тема. Едновременното активиране на плъгини с близка или препокриваща се функционалност е много вероятно да доведе до конфликт в работата поне на единия плъгин, както и да причини генериране на грешка, спиране на функционалност, дори спиране работата на сайта.

Пример за такъв конфликт са случаите, в които плъгин създава собствен запис в .htaccess файл, който запис обаче пречи на нормалната работа на друг плъгин.

Също така трябва да имате предвид, че една тема може да е в конфликт с определен плъгин ако например плъгина създава елементи със собствена структура (от персонализиран .css файл), която може да е в конфликт с настройките на .css файл в темата и по този начин да повреди дизайна (оттам и определена функционалност) на сайта.

Добре е да знаете, че след излизането на нов ъпдейт на WordPress, за да го инсталирате и всичко да работи безпроблемно, трябва съществуващите плъгини също да са съвместими с него. Винаги проверявайте това преди да ъпдейтнете към новата версия, за да не възникнат проблеми с вашия сайт и неговата нормална работа.

Проверка за съвместимост

Можете да проверите съвместимостта на определен плъгин с новата версия, като отидете в меню Разширения и видите срещу всеки един инсталиран плъгин дали той е съвместим с нея.

За да е съвместим, трябва в меню Разширения под самия плъгин да е изписано Compatible with your version of WordPress.

потвърждение за съвместимост на WordPress плъгини

Тази информация се попълва ръчно от разработчиците и понякога може да няма информация, но плъгина да е съвместим с версията на ядрото и да работи напълно коректно.

непълна информация за съвместимост на плъгини

Затова може да се доверите на разработчиците, които декларират съвместимост на плъгини и теми с версията на WordPress. Ако липсва информация за съвместимост и се колебаете дали да актуализирате, следвайте сигурни стъпки за актуализация.